/// <reference types="zen-observable" />
import Observable from 'next/dist/compiled/zen-observable';
export default class RenderResult {
    _response: string | Observable<string>;
    _dynamic: boolean;
    constructor(response: string | Observable<string>, dynamic: boolean);
    toUnchunkedString(): Promise<string>;
    forEach(fn: (chunk: string) => void): Promise<void>;
    isDynamic(): boolean;
    static fromStatic(value: string): RenderResult;
    static empty: RenderResult;
}
